void renderMaterial(float material, inout float mask, inout float lmcoord){
  lmcoord = material == 1009 ||
            material == 1010 ||
            material == 1011 ||
            material == 1012 ||
            material == 1013 ||
            material == 1014 ? 1.0 : lmcoord;

  mask = material == 1001 ||
         material == 1002 ||
         material == 1003 ||
         material == 1004 ||
         material == 1005 ||
         material == 2001 ||
         material == 2002 ||
		     material == 3001 ||
		     material == 4001 ||
		     material == 4002 ? 2.0 : mask;   //Vegetation

  mask = material == 1009 ? 6.0 : mask;   //torch
  mask = material == 1010 ? 7.0 : mask;   //fire
  mask = material == 1011 ? 8.0 : mask;   //Lit redstone
  mask = material == 1012 ? 9.0 : mask;   //Glowstone
  mask = material == 1013 ? 10.0 : mask;  //Magma
  mask = material == 1014 ? 11.0 : mask;  //Sea lantern

  mask = material == 1006 ? 3.0 : mask;   //Water
  mask = material == 1007 ? 4.0 : mask;   //Ice
  mask = material == 1008 ? 5.0 : mask;   //Stained glass

  mask = floor(mask) * (1.0 / 32.0);
}
