float renderPuddlesRain(vec3 position){
  if(wetness <= 0.0) return 0.0;

  position.y *= 0.2;
  position.xz *= 2.0;

  float lightmap = lmcoord.y * exp2(6.0 * (lmcoord.y - 1.0));

  float noise = render3DNoise(position);
        noise += render3DNoise(position / 2.0) * 2.0;
        noise += render3DNoise(position / 4.0) * 4.0;

  float puddles = noise / 7.0;
        puddles = clamp01(puddles * 0.8 + 0.5) * 0.97;
        puddles *= clamp(lmcoord.y * 1.05 - 0.9, 0.0, 0.1) / 0.1;
        puddles *= clamp01((mat3(gbufferModelViewInverse) * normal).y * 0.5 + 0.5);

  return clamp01(puddles * (2.0 * clamp01(wetness * 3.0)) - 0.7);
}
