#if defined vertex

out vec2 coord;

void main(){
  coord = gl_Vertex.xy;
  gl_Position = vec4(gl_Vertex.xy * 2.0 - 1.0, 0.0, 1.0);
}
#elif defined fragment
/* DRAWBUFFERS:4 */
layout(location = 0) out vec3 color4;

in vec2 coord;

#include "/program/camera/common/temporalAA.glsl"

void main(){
  color4 = renderMotionBlur(coord);
}
#endif
