float phase_mie(float c, float g) {
	float gg = g * g;
  float cc = c * c;

	float p1 = (0.375 * (1.0 - gg)) / (PI * (2.0 * gg));
  float p2 = (c * c + 1.0) * pow(-2.0 * g * c + 1.0 + gg, -1.25);

  return p1 * p2;
}

float phase_reyleigh(float c){
	return (3.0 / (12.0 * PI)) * (1.0 + c * c);
}

vec2 phase_Sky(float c, const float g){
	return vec2(phase_reyleigh(c), phase_mie(c, g));
}
