struct Material{
  bool isVegetation;

  bool isWater;
  bool isIce;
  bool isStainedGlass;

  bool isTorch;
  bool isFire;
  bool isRedstone;
  bool isLava;
  bool isGlowstone;
  bool isSealantern;

  bool isSky;
  bool isTranslucent;
};

Material renderMaterial(float ID, vec2 depth){
  Material material;

  material.isVegetation = ID > 1.99 && ID < 2.01;

  material.isWater = ID > 2.5 && ID < 3.5;
  material.isIce = ID > 3.5 && ID < 4.5;
  material.isStainedGlass = ID > 4.5 && ID < 5.5;

  material.isTorch = ID > 5.5 && ID < 6.5;
  material.isFire = ID > 6.5 && ID < 7.5;
  material.isRedstone = ID > 7.5 && ID < 8.5;
  material.isLava = ID > 8.5 && ID < 9.5;
  material.isGlowstone = ID > 9.5 && ID < 10.5;
  material.isSealantern = ID > 11.5 && ID < 11.5;

  material.isSky = depth.x >= 1.0;
  material.isTranslucent = depth.x < depth.y;

  return material;
}
